﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TCPClientServer.BI_SPK {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://webservice.tpk.sknbi.msn.com/", ConfigurationName="BI_SPK.TPKWebService")]
    public interface TPKWebService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEKreditIndividualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEKreditIndividualResponse" +
            "")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] sendDKEKreditIndividual(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEKreditIndividualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEKreditIndividualResponse" +
            "")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> sendDKEKreditIndividualAsync(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPenyerahanIndividualRequ" +
            "est", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPenyerahanIndividualResp" +
            "onse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] sendDKEPenyerahanIndividual(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPenyerahanIndividualRequ" +
            "est", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPenyerahanIndividualResp" +
            "onse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> sendDKEPenyerahanIndividualAsync(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPengembalianIndividualRe" +
            "quest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPengembalianIndividualRe" +
            "sponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] sendDKEPengembalianIndividual(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPengembalianIndividualRe" +
            "quest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPengembalianIndividualRe" +
            "sponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> sendDKEPengembalianIndividualAsync(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEKreditOutwardIndivi" +
            "dualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEKreditOutwardIndivi" +
            "dualResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] getStatusDKEKreditOutwardIndividual(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEKreditOutwardIndivi" +
            "dualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEKreditOutwardIndivi" +
            "dualResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> getStatusDKEKreditOutwardIndividualAsync(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPenyerahanOutwardIn" +
            "dividualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPenyerahanOutwardIn" +
            "dividualResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] getStatusDKEPenyerahanOutwardIndividual(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPenyerahanOutwardIn" +
            "dividualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPenyerahanOutwardIn" +
            "dividualResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> getStatusDKEPenyerahanOutwardIndividualAsync(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPengembalianOutward" +
            "IndividualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPengembalianOutward" +
            "IndividualResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] getStatusDKEPengembalianOutwardIndividual(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPengembalianOutward" +
            "IndividualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPengembalianOutward" +
            "IndividualResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> getStatusDKEPengembalianOutwardIndividualAsync(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditInwardIndividualReq" +
            "uest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditInwardIndividualRes" +
            "ponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEKreditInwardIndividual(string bic, string authCode, string benefBIC, string periode, string sandiKota);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditInwardIndividualReq" +
            "uest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditInwardIndividualRes" +
            "ponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEKreditInwardIndividualAsync(string bic, string authCode, string benefBIC, string periode, string sandiKota);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanInwardIndividua" +
            "lRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanInwardIndividua" +
            "lResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEPenyerahanInwardIndividual(string bic, string authCode, string benefBIC, string sandiZona, string sandiWilayahKliring);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanInwardIndividua" +
            "lRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanInwardIndividua" +
            "lResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEPenyerahanInwardIndividualAsync(string bic, string authCode, string benefBIC, string sandiZona, string sandiWilayahKliring);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianInwardIndivid" +
            "ualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianInwardIndivid" +
            "ualResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEPengembalianInwardIndividual(string bic, string authCode, string benefBIC, string sandiZona, string sandiWilayahKliring);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianInwardIndivid" +
            "ualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianInwardIndivid" +
            "ualResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEPengembalianInwardIndividualAsync(string bic, string authCode, string benefBIC, string sandiZona, string sandiWilayahKliring);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditOutwardSSKIndividua" +
            "lRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditOutwardSSKIndividua" +
            "lResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEKreditOutwardSSKIndividual(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditOutwardSSKIndividua" +
            "lRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditOutwardSSKIndividua" +
            "lResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEKreditOutwardSSKIndividualAsync(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanOutwardSSKIndiv" +
            "idualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanOutwardSSKIndiv" +
            "idualResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEPenyerahanOutwardSSKIndividual(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanOutwardSSKIndiv" +
            "idualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanOutwardSSKIndiv" +
            "idualResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEPenyerahanOutwardSSKIndividualAsync(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianOutwardSSKInd" +
            "ividualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianOutwardSSKInd" +
            "ividualResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEPengembalianOutwardSSKIndividual(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianOutwardSSKInd" +
            "ividualRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianOutwardSSKInd" +
            "ividualResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEPengembalianOutwardSSKIndividualAsync(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEKreditBulkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEKreditBulkResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] sendDKEKreditBulk(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEKreditBulkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEKreditBulkResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> sendDKEKreditBulkAsync(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPenyerahanBulkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPenyerahanBulkResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] sendDKEPenyerahanBulk(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPenyerahanBulkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPenyerahanBulkResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> sendDKEPenyerahanBulkAsync(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPengembalianBulkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPengembalianBulkResponse" +
            "")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] sendDKEPengembalianBulk(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPengembalianBulkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/sendDKEPengembalianBulkResponse" +
            "")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> sendDKEPengembalianBulkAsync(string bic, string authCode, byte[] dke);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEKreditOutwardBulkRe" +
            "quest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEKreditOutwardBulkRe" +
            "sponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] getStatusDKEKreditOutwardBulk(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEKreditOutwardBulkRe" +
            "quest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEKreditOutwardBulkRe" +
            "sponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> getStatusDKEKreditOutwardBulkAsync(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPenyerahanOutwardBu" +
            "lkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPenyerahanOutwardBu" +
            "lkResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] getStatusDKEPenyerahanOutwardBulk(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPenyerahanOutwardBu" +
            "lkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPenyerahanOutwardBu" +
            "lkResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> getStatusDKEPenyerahanOutwardBulkAsync(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPengembalianOutward" +
            "BulkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPengembalianOutward" +
            "BulkResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        byte[] getStatusDKEPengembalianOutwardBulk(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPengembalianOutward" +
            "BulkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getStatusDKEPengembalianOutward" +
            "BulkResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="statusdke")]
        System.Threading.Tasks.Task<byte[]> getStatusDKEPengembalianOutwardBulkAsync(string bic, string authCode, string batchId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditInwardBulkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditInwardBulkResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEKreditInwardBulk(string bic, string authCode, string benefBIC, string periode, string sandiKota);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditInwardBulkRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditInwardBulkResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEKreditInwardBulkAsync(string bic, string authCode, string benefBIC, string periode, string sandiKota);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanInwardBulkReque" +
            "st", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanInwardBulkRespo" +
            "nse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEPenyerahanInwardBulk(string bic, string authCode, string benefBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanInwardBulkReque" +
            "st", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanInwardBulkRespo" +
            "nse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEPenyerahanInwardBulkAsync(string bic, string authCode, string benefBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianInwardBulkReq" +
            "uest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianInwardBulkRes" +
            "ponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEPengembalianInwardBulk(string bic, string authCode, string benefBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianInwardBulkReq" +
            "uest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianInwardBulkRes" +
            "ponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEPengembalianInwardBulkAsync(string bic, string authCode, string benefBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditOutwardSSKBulkReque" +
            "st", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditOutwardSSKBulkRespo" +
            "nse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEKreditOutwardSSKBulk(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditOutwardSSKBulkReque" +
            "st", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEKreditOutwardSSKBulkRespo" +
            "nse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEKreditOutwardSSKBulkAsync(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanOutwardSSKBulkR" +
            "equest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanOutwardSSKBulkR" +
            "esponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEPenyerahanOutwardSSKBulk(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanOutwardSSKBulkR" +
            "equest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPenyerahanOutwardSSKBulkR" +
            "esponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEPenyerahanOutwardSSKBulkAsync(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianOutwardSSKBul" +
            "kRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianOutwardSSKBul" +
            "kResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        byte[] getDKEPengembalianOutwardSSKBulk(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianOutwardSSKBul" +
            "kRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDKEPengembalianOutwardSSKBul" +
            "kResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="dke")]
        System.Threading.Tasks.Task<byte[]> getDKEPengembalianOutwardSSKBulkAsync(string bic, string authCode, string senderBIC);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPesertaRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPesertaResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        byte[] getDaftarPeserta(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPesertaRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPesertaResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        System.Threading.Tasks.Task<byte[]> getDaftarPesertaAsync(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPesertaWilayahRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPesertaWilayahResponse" +
            "")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        byte[] getDaftarPesertaWilayah(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPesertaWilayahRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPesertaWilayahResponse" +
            "")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        System.Threading.Tasks.Task<byte[]> getDaftarPesertaWilayahAsync(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarWilayahKliringRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarWilayahKliringResponse" +
            "")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        byte[] getDaftarWilayahKliring(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarWilayahKliringRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarWilayahKliringResponse" +
            "")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        System.Threading.Tasks.Task<byte[]> getDaftarWilayahKliringAsync(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarSandiTransaksiRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarSandiTransaksiResponse" +
            "")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        byte[] getDaftarSandiTransaksi(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarSandiTransaksiRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarSandiTransaksiResponse" +
            "")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        System.Threading.Tasks.Task<byte[]> getDaftarSandiTransaksiAsync(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarAlasanPenolakanRequest" +
            "", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarAlasanPenolakanRespons" +
            "e")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        byte[] getDaftarAlasanPenolakan(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarAlasanPenolakanRequest" +
            "", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarAlasanPenolakanRespons" +
            "e")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        System.Threading.Tasks.Task<byte[]> getDaftarAlasanPenolakanAsync(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPropinsiRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPropinsiResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        byte[] getDaftarPropinsi(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPropinsiRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarPropinsiResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        System.Threading.Tasks.Task<byte[]> getDaftarPropinsiAsync(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarKotaRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarKotaResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        byte[] getDaftarKota(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarKotaRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarKotaResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        System.Threading.Tasks.Task<byte[]> getDaftarKotaAsync(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarWilayahKotaRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarWilayahKotaResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        byte[] getDaftarWilayahKota(string bic, string authCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarWilayahKotaRequest", ReplyAction="http://webservice.tpk.sknbi.msn.com/TPKWebService/getDaftarWilayahKotaResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="data")]
        System.Threading.Tasks.Task<byte[]> getDaftarWilayahKotaAsync(string bic, string authCode);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface TPKWebServiceChannel : TCPClientServer.BI_SPK.TPKWebService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class TPKWebServiceClient : System.ServiceModel.ClientBase<TCPClientServer.BI_SPK.TPKWebService>, TCPClientServer.BI_SPK.TPKWebService {
        
        public TPKWebServiceClient() {
        }
        
        public TPKWebServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public TPKWebServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public TPKWebServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public TPKWebServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public byte[] sendDKEKreditIndividual(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEKreditIndividual(bic, authCode, dke);
        }
        
        public System.Threading.Tasks.Task<byte[]> sendDKEKreditIndividualAsync(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEKreditIndividualAsync(bic, authCode, dke);
        }
        
        public byte[] sendDKEPenyerahanIndividual(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEPenyerahanIndividual(bic, authCode, dke);
        }
        
        public System.Threading.Tasks.Task<byte[]> sendDKEPenyerahanIndividualAsync(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEPenyerahanIndividualAsync(bic, authCode, dke);
        }
        
        public byte[] sendDKEPengembalianIndividual(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEPengembalianIndividual(bic, authCode, dke);
        }
        
        public System.Threading.Tasks.Task<byte[]> sendDKEPengembalianIndividualAsync(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEPengembalianIndividualAsync(bic, authCode, dke);
        }
        
        public byte[] getStatusDKEKreditOutwardIndividual(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEKreditOutwardIndividual(bic, authCode, batchId);
        }
        
        public System.Threading.Tasks.Task<byte[]> getStatusDKEKreditOutwardIndividualAsync(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEKreditOutwardIndividualAsync(bic, authCode, batchId);
        }
        
        public byte[] getStatusDKEPenyerahanOutwardIndividual(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEPenyerahanOutwardIndividual(bic, authCode, batchId);
        }
        
        public System.Threading.Tasks.Task<byte[]> getStatusDKEPenyerahanOutwardIndividualAsync(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEPenyerahanOutwardIndividualAsync(bic, authCode, batchId);
        }
        
        public byte[] getStatusDKEPengembalianOutwardIndividual(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEPengembalianOutwardIndividual(bic, authCode, batchId);
        }
        
        public System.Threading.Tasks.Task<byte[]> getStatusDKEPengembalianOutwardIndividualAsync(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEPengembalianOutwardIndividualAsync(bic, authCode, batchId);
        }
        
        public byte[] getDKEKreditInwardIndividual(string bic, string authCode, string benefBIC, string periode, string sandiKota) {
            return base.Channel.getDKEKreditInwardIndividual(bic, authCode, benefBIC, periode, sandiKota);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEKreditInwardIndividualAsync(string bic, string authCode, string benefBIC, string periode, string sandiKota) {
            return base.Channel.getDKEKreditInwardIndividualAsync(bic, authCode, benefBIC, periode, sandiKota);
        }
        
        public byte[] getDKEPenyerahanInwardIndividual(string bic, string authCode, string benefBIC, string sandiZona, string sandiWilayahKliring) {
            return base.Channel.getDKEPenyerahanInwardIndividual(bic, authCode, benefBIC, sandiZona, sandiWilayahKliring);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEPenyerahanInwardIndividualAsync(string bic, string authCode, string benefBIC, string sandiZona, string sandiWilayahKliring) {
            return base.Channel.getDKEPenyerahanInwardIndividualAsync(bic, authCode, benefBIC, sandiZona, sandiWilayahKliring);
        }
        
        public byte[] getDKEPengembalianInwardIndividual(string bic, string authCode, string benefBIC, string sandiZona, string sandiWilayahKliring) {
            return base.Channel.getDKEPengembalianInwardIndividual(bic, authCode, benefBIC, sandiZona, sandiWilayahKliring);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEPengembalianInwardIndividualAsync(string bic, string authCode, string benefBIC, string sandiZona, string sandiWilayahKliring) {
            return base.Channel.getDKEPengembalianInwardIndividualAsync(bic, authCode, benefBIC, sandiZona, sandiWilayahKliring);
        }
        
        public byte[] getDKEKreditOutwardSSKIndividual(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEKreditOutwardSSKIndividual(bic, authCode, senderBIC);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEKreditOutwardSSKIndividualAsync(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEKreditOutwardSSKIndividualAsync(bic, authCode, senderBIC);
        }
        
        public byte[] getDKEPenyerahanOutwardSSKIndividual(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEPenyerahanOutwardSSKIndividual(bic, authCode, senderBIC);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEPenyerahanOutwardSSKIndividualAsync(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEPenyerahanOutwardSSKIndividualAsync(bic, authCode, senderBIC);
        }
        
        public byte[] getDKEPengembalianOutwardSSKIndividual(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEPengembalianOutwardSSKIndividual(bic, authCode, senderBIC);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEPengembalianOutwardSSKIndividualAsync(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEPengembalianOutwardSSKIndividualAsync(bic, authCode, senderBIC);
        }
        
        public byte[] sendDKEKreditBulk(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEKreditBulk(bic, authCode, dke);
        }
        
        public System.Threading.Tasks.Task<byte[]> sendDKEKreditBulkAsync(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEKreditBulkAsync(bic, authCode, dke);
        }
        
        public byte[] sendDKEPenyerahanBulk(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEPenyerahanBulk(bic, authCode, dke);
        }
        
        public System.Threading.Tasks.Task<byte[]> sendDKEPenyerahanBulkAsync(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEPenyerahanBulkAsync(bic, authCode, dke);
        }
        
        public byte[] sendDKEPengembalianBulk(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEPengembalianBulk(bic, authCode, dke);
        }
        
        public System.Threading.Tasks.Task<byte[]> sendDKEPengembalianBulkAsync(string bic, string authCode, byte[] dke) {
            return base.Channel.sendDKEPengembalianBulkAsync(bic, authCode, dke);
        }
        
        public byte[] getStatusDKEKreditOutwardBulk(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEKreditOutwardBulk(bic, authCode, batchId);
        }
        
        public System.Threading.Tasks.Task<byte[]> getStatusDKEKreditOutwardBulkAsync(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEKreditOutwardBulkAsync(bic, authCode, batchId);
        }
        
        public byte[] getStatusDKEPenyerahanOutwardBulk(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEPenyerahanOutwardBulk(bic, authCode, batchId);
        }
        
        public System.Threading.Tasks.Task<byte[]> getStatusDKEPenyerahanOutwardBulkAsync(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEPenyerahanOutwardBulkAsync(bic, authCode, batchId);
        }
        
        public byte[] getStatusDKEPengembalianOutwardBulk(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEPengembalianOutwardBulk(bic, authCode, batchId);
        }
        
        public System.Threading.Tasks.Task<byte[]> getStatusDKEPengembalianOutwardBulkAsync(string bic, string authCode, string batchId) {
            return base.Channel.getStatusDKEPengembalianOutwardBulkAsync(bic, authCode, batchId);
        }
        
        public byte[] getDKEKreditInwardBulk(string bic, string authCode, string benefBIC, string periode, string sandiKota) {
            return base.Channel.getDKEKreditInwardBulk(bic, authCode, benefBIC, periode, sandiKota);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEKreditInwardBulkAsync(string bic, string authCode, string benefBIC, string periode, string sandiKota) {
            return base.Channel.getDKEKreditInwardBulkAsync(bic, authCode, benefBIC, periode, sandiKota);
        }
        
        public byte[] getDKEPenyerahanInwardBulk(string bic, string authCode, string benefBIC) {
            return base.Channel.getDKEPenyerahanInwardBulk(bic, authCode, benefBIC);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEPenyerahanInwardBulkAsync(string bic, string authCode, string benefBIC) {
            return base.Channel.getDKEPenyerahanInwardBulkAsync(bic, authCode, benefBIC);
        }
        
        public byte[] getDKEPengembalianInwardBulk(string bic, string authCode, string benefBIC) {
            return base.Channel.getDKEPengembalianInwardBulk(bic, authCode, benefBIC);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEPengembalianInwardBulkAsync(string bic, string authCode, string benefBIC) {
            return base.Channel.getDKEPengembalianInwardBulkAsync(bic, authCode, benefBIC);
        }
        
        public byte[] getDKEKreditOutwardSSKBulk(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEKreditOutwardSSKBulk(bic, authCode, senderBIC);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEKreditOutwardSSKBulkAsync(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEKreditOutwardSSKBulkAsync(bic, authCode, senderBIC);
        }
        
        public byte[] getDKEPenyerahanOutwardSSKBulk(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEPenyerahanOutwardSSKBulk(bic, authCode, senderBIC);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEPenyerahanOutwardSSKBulkAsync(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEPenyerahanOutwardSSKBulkAsync(bic, authCode, senderBIC);
        }
        
        public byte[] getDKEPengembalianOutwardSSKBulk(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEPengembalianOutwardSSKBulk(bic, authCode, senderBIC);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDKEPengembalianOutwardSSKBulkAsync(string bic, string authCode, string senderBIC) {
            return base.Channel.getDKEPengembalianOutwardSSKBulkAsync(bic, authCode, senderBIC);
        }
        
        public byte[] getDaftarPeserta(string bic, string authCode) {
            return base.Channel.getDaftarPeserta(bic, authCode);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDaftarPesertaAsync(string bic, string authCode) {
            return base.Channel.getDaftarPesertaAsync(bic, authCode);
        }
        
        public byte[] getDaftarPesertaWilayah(string bic, string authCode) {
            return base.Channel.getDaftarPesertaWilayah(bic, authCode);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDaftarPesertaWilayahAsync(string bic, string authCode) {
            return base.Channel.getDaftarPesertaWilayahAsync(bic, authCode);
        }
        
        public byte[] getDaftarWilayahKliring(string bic, string authCode) {
            return base.Channel.getDaftarWilayahKliring(bic, authCode);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDaftarWilayahKliringAsync(string bic, string authCode) {
            return base.Channel.getDaftarWilayahKliringAsync(bic, authCode);
        }
        
        public byte[] getDaftarSandiTransaksi(string bic, string authCode) {
            return base.Channel.getDaftarSandiTransaksi(bic, authCode);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDaftarSandiTransaksiAsync(string bic, string authCode) {
            return base.Channel.getDaftarSandiTransaksiAsync(bic, authCode);
        }
        
        public byte[] getDaftarAlasanPenolakan(string bic, string authCode) {
            return base.Channel.getDaftarAlasanPenolakan(bic, authCode);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDaftarAlasanPenolakanAsync(string bic, string authCode) {
            return base.Channel.getDaftarAlasanPenolakanAsync(bic, authCode);
        }
        
        public byte[] getDaftarPropinsi(string bic, string authCode) {
            return base.Channel.getDaftarPropinsi(bic, authCode);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDaftarPropinsiAsync(string bic, string authCode) {
            return base.Channel.getDaftarPropinsiAsync(bic, authCode);
        }
        
        public byte[] getDaftarKota(string bic, string authCode) {
            return base.Channel.getDaftarKota(bic, authCode);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDaftarKotaAsync(string bic, string authCode) {
            return base.Channel.getDaftarKotaAsync(bic, authCode);
        }
        
        public byte[] getDaftarWilayahKota(string bic, string authCode) {
            return base.Channel.getDaftarWilayahKota(bic, authCode);
        }
        
        public System.Threading.Tasks.Task<byte[]> getDaftarWilayahKotaAsync(string bic, string authCode) {
            return base.Channel.getDaftarWilayahKotaAsync(bic, authCode);
        }
    }
}
